Create an ad group
const url = 'https://ads.wortise.com/api/public/v1/ad-groups/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0';const options = { method: 'PUT', headers: {'x-api-key': '<x-api-key>', 'Content-Type': 'application/json'}, body: '{"adFormat":"banner","audience":{"appFilter":["example"],"device":{"battery":{"plugged":true},"brand":["example"],"language":["example"],"model":["example"],"os":["android","ios"],"osVersion":["example"],"type":["mobile"]},"not":{"appFilter":["example"],"device":{"battery":{"plugged":true},"brand":["example"],"language":["example"],"model":["example"],"os":["android","ios"],"osVersion":["example"],"type":["mobile"]},"not":{},"tag":{"audiences":[{"id":"example","label":"example"}],"products":[{"id":"example","label":"example"}],"topics":[{"id":"example","label":"example"}]},"app":{"category":[{"id":"example","label":"example"}],"list":[{"icon":"example","id":"example","label":"example","platform":"android"}]},"appFilters":{"coppa":true,"maxInstalls":1,"minInstalls":1,"minScore":1,"platform":["android"]},"cellular":{"carrier":[{"country":"example","countryCode":"example","iso":"example","mcc":"example","mnc":"example","network":"example"}]},"cpm":1,"isPublic":true,"location":[{"countryCode":"example","displayName":"example","lat":1,"lng":1,"placeId":"example","source":"google_places","type":"place","types":["example"]}],"time":{"day":[1],"hour":[{"_id":"2489E9AD-2EE2-8E00-8EC9-32D5F69181C0","from":1,"to":1}]},"traffic":{"age":{"additionalProperty":1},"category":{"additionalProperty":1},"country":{"additionalProperty":1},"device":{"additionalProperty":1},"gender":{"additionalProperty":1},"size":{"additionalProperty":1}},"user":{"gender":["female"],"id":["example"],"age":["-18"],"interest":[{"id":"example","label":"example"}]}},"tag":{"audiences":[{"id":"example","label":"example"}],"products":[{"id":"example","label":"example"}],"topics":[{"id":"example","label":"example"}]},"_id":"2489E9AD-2EE2-8E00-8EC9-32D5F69181C0","app":{"category":[{"id":"example","label":"example"}],"list":[{"icon":"example","id":"example","label":"example","platform":"android"}]},"appFilters":{"coppa":true,"maxInstalls":1,"minInstalls":1,"minScore":1,"platform":["android"]},"cellular":{"carrier":[{"country":"example","countryCode":"example","iso":"example","mcc":"example","mnc":"example","network":"example"}]},"cpm":1,"createdAt":"2026-04-15T12:00:00Z","createdBy":"2489E9AD-2EE2-8E00-8EC9-32D5F69181C0","deletedAt":"2026-04-15T12:00:00Z","isDraft":true,"isPublic":true,"location":[{"countryCode":"example","displayName":"example","lat":1,"lng":1,"placeId":"example","source":"google_places","type":"place","types":["example"]}],"time":{"day":[1],"hour":[{"_id":"2489E9AD-2EE2-8E00-8EC9-32D5F69181C0","from":1,"to":1}]},"traffic":{"age":{"additionalProperty":1},"category":{"additionalProperty":1},"country":{"additionalProperty":1},"device":{"additionalProperty":1},"gender":{"additionalProperty":1},"size":{"additionalProperty":1}},"updatedAt":"2026-04-15T12:00:00Z","updatedBy":"2489E9AD-2EE2-8E00-8EC9-32D5F69181C0","user":{"gender":["female"],"id":["example"],"age":["-18"],"interest":[{"id":"example","label":"example"}]}},"budgetAllocation":1,"campaign":"2489E9AD-2EE2-8E00-8EC9-32D5F69181C0","frequencyCap":{"expiration":1,"max":1},"id":1,"name":"example","order":0,"status":"enabled","trackingTag":"https://example.com","unitPrice":1,"url":"https://example.com","utm":{"campaign":"example","id":"example","medium":"example","source":"example"}}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request PUT \ --url https://ads.wortise.com/api/public/v1/ad-groups/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0 \ --header 'Content-Type: application/json' \ --header 'x-api-key: <x-api-key>' \ --data '{ "adFormat": "banner", "audience": { "appFilter": [ "example" ], "device": { "battery": { "plugged": true }, "brand": [ "example" ], "language": [ "example" ], "model": [ "example" ], "os": [ "android", "ios" ], "osVersion": [ "example" ], "type": [ "mobile" ] }, "not": { "appFilter": [ "example" ], "device": { "battery": { "plugged": true }, "brand": [ "example" ], "language": [ "example" ], "model": [ "example" ], "os": [ "android", "ios" ], "osVersion": [ "example" ], "type": [ "mobile" ] }, "not": {}, "tag": { "audiences": [ { "id": "example", "label": "example" } ], "products": [ { "id": "example", "label": "example" } ], "topics": [ { "id": "example", "label": "example" } ] }, "app": { "category": [ { "id": "example", "label": "example" } ], "list": [ { "icon": "example", "id": "example", "label": "example", "platform": "android" } ] }, "appFilters": { "coppa": true, "maxInstalls": 1, "minInstalls": 1, "minScore": 1, "platform": [ "android" ] }, "cellular": { "carrier": [ { "country": "example", "countryCode": "example", "iso": "example", "mcc": "example", "mnc": "example", "network": "example" } ] }, "cpm": 1, "isPublic": true, "location": [ { "countryCode": "example", "displayName": "example", "lat": 1, "lng": 1, "placeId": "example", "source": "google_places", "type": "place", "types": [ "example" ] } ], "time": { "day": [ 1 ], "hour": [ { "_id": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "from": 1, "to": 1 } ] }, "traffic": { "age": { "additionalProperty": 1 }, "category": { "additionalProperty": 1 }, "country": { "additionalProperty": 1 }, "device": { "additionalProperty": 1 }, "gender": { "additionalProperty": 1 }, "size": { "additionalProperty": 1 } }, "user": { "gender": [ "female" ], "id": [ "example" ], "age": [ "-18" ], "interest": [ { "id": "example", "label": "example" } ] } }, "tag": { "audiences": [ { "id": "example", "label": "example" } ], "products": [ { "id": "example", "label": "example" } ], "topics": [ { "id": "example", "label": "example" } ] }, "_id": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "app": { "category": [ { "id": "example", "label": "example" } ], "list": [ { "icon": "example", "id": "example", "label": "example", "platform": "android" } ] }, "appFilters": { "coppa": true, "maxInstalls": 1, "minInstalls": 1, "minScore": 1, "platform": [ "android" ] }, "cellular": { "carrier": [ { "country": "example", "countryCode": "example", "iso": "example", "mcc": "example", "mnc": "example", "network": "example" } ] }, "cpm": 1, "createdAt": "2026-04-15T12:00:00Z", "createdBy": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "deletedAt": "2026-04-15T12:00:00Z", "isDraft": true, "isPublic": true, "location": [ { "countryCode": "example", "displayName": "example", "lat": 1, "lng": 1, "placeId": "example", "source": "google_places", "type": "place", "types": [ "example" ] } ], "time": { "day": [ 1 ], "hour": [ { "_id": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "from": 1, "to": 1 } ] }, "traffic": { "age": { "additionalProperty": 1 }, "category": { "additionalProperty": 1 }, "country": { "additionalProperty": 1 }, "device": { "additionalProperty": 1 }, "gender": { "additionalProperty": 1 }, "size": { "additionalProperty": 1 } }, "updatedAt": "2026-04-15T12:00:00Z", "updatedBy": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "user": { "gender": [ "female" ], "id": [ "example" ], "age": [ "-18" ], "interest": [ { "id": "example", "label": "example" } ] } }, "budgetAllocation": 1, "campaign": "2489E9AD-2EE2-8E00-8EC9-32D5F69181C0", "frequencyCap": { "expiration": 1, "max": 1 }, "id": 1, "name": "example", "order": 0, "status": "enabled", "trackingTag": "https://example.com", "unitPrice": 1, "url": "https://example.com", "utm": { "campaign": "example", "id": "example", "medium": "example", "source": "example" } }'Creates an ad group with the caller-generated id in a campaign of the organization. Its budgetAllocation is a slice of the campaign budget: the allocations of the campaign ad groups cannot exceed it, and must add up to it at launch.
Requires the campaigns:write scope.
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”Caller-generated ad group UUID v4.
Request Bodyrequired
Section titled “Request Bodyrequired”object
Restricts every creative in this ad group to a single format
object
object
object
Only explicitly requested targeting exclusions.
object
object
object
object
object
object
object
object
object
E.g: “1”, “20”.
object
object
object
object
Exact inventory locations or geographic areas to target.
object
object
object
object
object
object
object
object
object
object
object
Optional demographic filters. Age codes are ranges: -18=under 18, 18=18–24, 25=25–34, 35=35–44, 45=45–54, 55=55–64, 65=65+. Adults 18+ requires all six adult ranges, not just 18. Gender ?? means unknown, not all genders; omit gender on creation or use [] on update for unrestricted gender.
object
object
object
object
object
object
object
object
E.g: “1”, “20”.
object
object
object
object
Exact inventory locations or geographic areas to target.
object
object
object
object
object
object
object
object
object
object
object
Optional demographic filters. Age codes are ranges: -18=under 18, 18=18–24, 25=25–34, 35=35–44, 45=45–54, 55=55–64, 65=65+. Adults 18+ requires all six adult ranges, not just 18. Gender ?? means unknown, not all genders; omit gender on creation or use [] on update for unrestricted gender.
object
object
Slice of the campaign budget assigned to this ad group, in local currency
Ref to campaigns collection
Impressions per user (“max”) within a rolling window (“expiration”, in seconds)
object
Ad group ID in ADS service
Unit price in local currency (CPM/CPC) for creatives in this ad group
Destination URL (redirect)
object
Responses
Section titled “Responses”The created ad group, with its objective.
object
Restricts every creative in this ad group to a single format
object
object
object
Only explicitly requested targeting exclusions.
object
object
object
object
object
object
object
object
object
E.g: “1”, “20”.
object
object
object
object
Exact inventory locations or geographic areas to target.
object
object
object
object
object
object
object
object
object
object
object
Optional demographic filters. Age codes are ranges: -18=under 18, 18=18–24, 25=25–34, 35=35–44, 45=45–54, 55=55–64, 65=65+. Adults 18+ requires all six adult ranges, not just 18. Gender ?? means unknown, not all genders; omit gender on creation or use [] on update for unrestricted gender.
object
object
object
object
object
object
object
object
E.g: “1”, “20”.
object
object
object
object
Exact inventory locations or geographic areas to target.
object
object
object
object
object
object
object
object
object
object
object
Optional demographic filters. Age codes are ranges: -18=under 18, 18=18–24, 25=25–34, 35=35–44, 45=45–54, 55=55–64, 65=65+. Adults 18+ requires all six adult ranges, not just 18. Gender ?? means unknown, not all genders; omit gender on creation or use [] on update for unrestricted gender.
object
object
Slice of the campaign budget assigned to this ad group, in local currency
Ref to campaigns collection
object
Budget in the campaign currency
Currency ISO 4217. E.g. USD, EUR. A draft saved without it takes the currency of the account that saves it, else USD.
Impressions per user (“max”) within a rolling window (“expiration”, in seconds)
object
Ad group ID in ADS service
Impressions (CPM) or clicks (CPC) its budget allocation buys at its unit price
Unit price in local currency (CPM/CPC) for creatives in this ad group
Destination URL (redirect)
object
Example
{ "adFormat": "banner", "audience": { "device": { "os": [ "android", "ios" ], "type": [ "mobile" ] }, "not": { "device": { "os": [ "android", "ios" ], "type": [ "mobile" ] }, "app": { "list": [ { "platform": "android" } ] }, "appFilters": { "platform": [ "android" ] }, "location": [ { "source": "google_places", "type": "place" } ], "user": { "gender": [ "female" ], "age": [ "-18" ] } }, "app": { "list": [ { "platform": "android" } ] }, "appFilters": { "platform": [ "android" ] }, "isDraft": true, "location": [ { "source": "google_places", "type": "place" } ], "user": { "gender": [ "female" ], "age": [ "-18" ] } }, "campaign": { "currency": "BRL" }, "order": 0, "status": "enabled"}The JSON body is malformed or fails the input validation.
object
Zod issues
object
Location of the invalid field in the procedure input
object
object
TRPC error code, e.g. UNAUTHORIZED, FORBIDDEN, NOT_FOUND, CONFLICT
Example
{ "errors": [ { "code": "custom" } ], "message": "Validation Error"}The API key is missing, invalid, disabled or expired.
object
TRPC error code, e.g. UNAUTHORIZED, FORBIDDEN, NOT_FOUND, CONFLICT
Example
{ "code": "PARSE_ERROR"}The API key lacks the scope, or its owner lacks the dashboard permission.
object
TRPC error code, e.g. UNAUTHORIZED, FORBIDDEN, NOT_FOUND, CONFLICT
Example
{ "code": "PARSE_ERROR"}The resource does not exist in the organization of the API key.
object
TRPC error code, e.g. UNAUTHORIZED, FORBIDDEN, NOT_FOUND, CONFLICT
Example
{ "code": "PARSE_ERROR"}The request conflicts with the resource state.
object
TRPC error code, e.g. UNAUTHORIZED, FORBIDDEN, NOT_FOUND, CONFLICT
Example
{ "code": "PARSE_ERROR"}The API key exceeded its rate limit; retry after the Retry-After seconds.
object
TRPC error code, e.g. UNAUTHORIZED, FORBIDDEN, NOT_FOUND, CONFLICT
Example
{ "code": "PARSE_ERROR"}Headers
Section titled “Headers”Seconds to wait before retrying.
Unexpected server error.
object
TRPC error code, e.g. UNAUTHORIZED, FORBIDDEN, NOT_FOUND, CONFLICT
Example
{ "code": "PARSE_ERROR"}© 2026 Wortise. All rights reserved.